#! /bin/sh

FILE=./trackload.cpp
OBJASM=./trackload.lod

if [ ! -e "./a65" ]; then
   echo "You need a65 assembler";
  exit
fi

if [ ! -e "./hexembed" ]; then
   echo "You need hexembed file to cpp encoder";
  exit
fi

if [ ! -e "$FILE" ]; then
  if [ ! -e  "$OBJASM" ]; then
    #ignore exit on non-zero
   echo "*** Ignore binary reposition error that follows ***"
    set +e
    ./a65 -b trackload.asm 2>/dev/null
  fi
  if [ -e "./trackload.bin" ]; then
    ./hexembed trackload.bin > trackload.cpp
  else
     echo "trackload.bin not found (assember fail?)"
  fi
fi

